JavaScript
import HenrySDK from '@henrylabs/sdk';
const client = new HenrySDK({
apiKey: process.env['HENRY_SDK_API_KEY'], // This is the default and can be omitted
});
const carts = await client.cart.list();
console.log(carts.data);curl --request GET \
--url https://api.henrylabs.ai/v1/cart \
--header 'x-api-key: <api-key>'import requests
url = "https://api.henrylabs.ai/v1/cart"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
{
"success": true,
"status": "<string>",
"message": "<string>",
"data": [
{
"cartId": "<string>",
"checkoutUrl": "<string>",
"data": {
"items": [
{
"link": "https://www.nike.com/u/custom-nike-ja-3-by-you-10002205",
"affiliateProductLink": "https://partner.example.com/click?url=https%3A%2F%2Fwww.nike.com%2Fu%2Fcustom-nike-ja-3-by-you-10002205",
"quantity": 1,
"selectedOptions": [
"regular",
"black",
"10-w"
],
"selectedShipping": {
"value": "standard"
},
"coupons": [
"SUMMER26",
"SAVE10"
],
"metadata": {
"creatorSource": "Frank Herbert"
}
}
],
"settings": {
"options": {
"allowPartialPurchase": true,
"collectBuyerEmail": "required",
"collectBuyerAddress": "optional",
"collectBuyerPhone": "off"
},
"serviceFeeFixed": {
"value": 1.99,
"currency": "USD"
},
"serviceFeePercent": 10,
"events": [
{
"data": [
{
"type": "<string>",
"points": 123
}
],
"conditional": {
"type": "<string>",
"value": "<string>"
}
}
]
},
"tags": {}
},
"metadata": {}
}
]
}{
"success": true,
"status": "<string>",
"message": "<string>"
}{
"success": true,
"status": "<string>",
"message": "<string>"
}Cart
Cart List
List carts with optional filtering by cart ID or tags.
GET
/
cart
JavaScript
import HenrySDK from '@henrylabs/sdk';
const client = new HenrySDK({
apiKey: process.env['HENRY_SDK_API_KEY'], // This is the default and can be omitted
});
const carts = await client.cart.list();
console.log(carts.data);Authorizations
Query Parameters
Filter by a specific cart ID
Example:
"crt_sa2aEsCz9PRM"
Filter carts by key-value tags
Show child attributes
Show child attributes
Example:
{ "userId": "BennyJ" }
Cursor returned from the previous response
Example:
"2023-01-01T00:00:00Z"
Limit the number of results
Required range:
1 <= x <= 100Example:
20
Was this page helpful?
⌘I